Page MenuHome

Object flickering when clicking in both Object and Edit mode [v2.90a]
Closed, ResolvedPublicBUG

Description

System Information
Operating system: MacOS Mojave 10.14.6 (18G95) | Darwin-18.7.0-x86_64-i386-64bit 64 Bits
Graphics card: AMD Radeon Pro 580X OpenGL Engine ATI Technologies Inc. 4.1 ATI-2.11.20

Blender Version
Broken: version: 2.90 (sub 0), branch: master, commit date: 2020-04-23 21:08, hash: rB826f6dd9ee20
Worked: (newest version of Blender that worked as expected)

Short description of error
When I click an object it flickers back and forth between transparent and preview and the edges look broken. Not sure if this is normal in 2.90a or an actual bug

Exact steps for others to reproduce the error
Basically create a mesh and start clicking the object in object mode, and edit mode, the faces, edges and vertices.

Event Timeline

I realized that I wasn't using the default theme so I changed it back from Maya to Default and the problem still occurs.

Sebastian Parborg (zeddb) changed the task status from Needs Triage to Needs Information from Developers.Apr 24 2020, 11:45 AM

I can't reproduce this on linux.

@Sebastián Barschkis (sebbas) can you reproduce this on your intel Mac?

@Sebastian Parborg (zeddb) Cannot reproduce this either. I am on macOS 10.15.4 though, so maybe that has to do with it ..

Cannot reproduce on any of my 3 Macs here, neither on integrated graphics nor with AMD.

Óscar (Oxer) added a subscriber: Óscar (Oxer).EditedApr 24 2020, 3:04 PM

This happens in my iMac 2011 with macos 10.13.6 / AMD Radeon HD 6970M & blender-2.90-69b6c89842ff

@Óscar (Oxer) your GPU is too old and not supported by blender.

@Thiago Sampaio (thsampa) are you able to see if this is solved if you use newer OSX releases?
As we can't seem to reproduce this, it is probably GPU driver bugs you are running into.

@Thiago Sampaio (thsampa) are you able to see if this is solved if you use newer OSX releases?
As we can't seem to reproduce this, it is probably GPU driver bugs you are running into.

Not at the moment. I'm using this OS because of other software I use professionally that still haven't shaken all the kinks in Catalina. So to avoid problems, I'm hanging on to this OS for few more weeks.
In the meantime I'm hoping someone else with the same OS will complain of the same problem eventually.

@Óscar (Oxer) your GPU is too old and not supported by blender.

Do you guys know of anyone that uses the same GPU I use and has no problems at all with 2.90a?

I'm still only on Mojave on two Macs here, the third one is on Catalina. None of them have the issue described here. One of them is an old iMac from 2015.

I'm still only on Mojave on two Macs here, the third one is on Catalina. None of them have the issue described here. One of them is an old iMac from 2015.

Damn, please don't make me update my OS, at least not now. :P

@Óscar (Oxer) your GPU is too old and not supported by blender.

On Blender 2.83.13 all work fine

@Thiago Sampaio (thsampa) are you able to see if this is solved if you use newer OSX releases?
As we can't seem to reproduce this, it is probably GPU driver bugs you are running into.

I can't install newer macOS because to the configuration of my iMac.

Clément Foucault (fclem) changed the subtype of this task from "Report" to "Bug".Jul 2 2020, 1:27 AM
Clément Foucault (fclem) moved this task from Backlog to Blender 2.90 on the EEVEE & Viewport board.
  • Can you check if that happens in you change the antialiasing method in the user preference > viewport.
  • Does that happen even if you are in other shading modes?
Clément Foucault (fclem) closed this task as Resolved.Nov 23 2020, 1:28 PM
Clément Foucault (fclem) claimed this task.

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.

Also please try with the latest beta to see if this has not been fixed yet.